Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.security
Class Access

    java.lang.Object
      com.dbxml.db.core.security.Access

All Implemented Interfaces:
  XMLSerializable

public class Access
extends java.lang.Object
implements XMLSerializable

Access

Field Summary
`static int` | `CREATE`
`static int` | `EXECUTE`
`static int` | `MASK`
`static int` | `NONE`
`static int` | `READ`
`static int` | `WRITE`

Constructor Summary
`Access()`

Method Summary
`java.lang.String` | `getPath()`
`int` | `getPermissions(Role role)`
`java.lang.String[]` | `listRoles()`
`void` | `removePermissions(Role role)`
`void` | `setPath(java.lang.String path)`
`void` | `setPermissions(Role role, int permissions)`
`void` | `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` | `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### READ

    public static final int READ

See Also:
  Constant Field Values

### WRITE

    public static final int WRITE

See Also:
  Constant Field Values

### EXECUTE

    public static final int EXECUTE

See Also:
  Constant Field Values

### CREATE

    public static final int CREATE

See Also:
  Constant Field Values

### MASK

    public static final int MASK

See Also:
  Constant Field Values

Constructor Detail

### Access

    public Access()

Method Detail

### streamToXML

    public org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                    throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.

  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public void streamFromXML(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.

  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### setPath

    public void setPath(java.lang.String path)

### getPath

    public java.lang.String getPath()

### getPermissions

    public int getPermissions(Role role)

### setPermissions

    public void setPermissions(Role role,
                               int permissions)

### removePermissions

    public void removePermissions(Role role)

### listRoles

    public java.lang.String[] listRoles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group